> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mogalts.win/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/stock

> Get stock counts and prices

Returns the current in-stock count and price-per-unit for each available category. No parameters required.

<ParamField header="X-API-Key" type="string" required>
  Your API key
</ParamField>

## Response

```json theme={null}
{
  "success": true,
  "data": {
    "categories": [
      { "name": "Hypixel Unbanned", "count": 42, "price": 10 },
      { "name": "Donut Unbanned",   "count": 18, "price": 5  },
      { "name": "Hypixel Banned",   "count": 71, "price": 2  }
    ]
  }
}
```

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl https://mogalts.win/v1/stock \
    -H "X-API-Key: mog_your_key_here"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://mogalts.win/v1/stock",
      headers={"X-API-Key": "mog_your_key_here"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const res = await fetch("https://mogalts.win/v1/stock", {
    headers: { "X-API-Key": "mog_your_key_here" }
  });
  const data = await res.json();
  console.log(data);
  ```
</CodeGroup>
